Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.cluster.iterator
Class ClusterSampleIterator

    java.lang.Object
      cc.mallet.cluster.iterator.NeighborIterator
          cc.mallet.cluster.iterator.PairSampleIterator
              cc.mallet.cluster.iterator.ClusterSampleIterator

All Implemented Interfaces:
  java.util.Iterator<Instance>

Direct Known Subclasses:
  NodeClusterSampleIterator

    public class ClusterSampleIterator

extends PairSampleIterator

Sample clusters of Instances.

Since:
  1.0
Version:
  1.0
Author:
  "Aron Culotta"
See Also:
  `PairSampleIterator, NeighborIterator`

Field Summary

Fields inherited from class cc.mallet.cluster.iterator.PairSampleIterator
`instances, nonsingletonClusters, numberSamples, positiveCount, positiveProportion, positiveTarget, random, totalCount`

Fields inherited from class cc.mallet.cluster.iterator.NeighborIterator
`clustering`

Constructor Summary
`ClusterSampleIterator(Clustering clustering, Randoms random, double positiveProportion, int numberSamples)`

Method Summary
`Instance` | `next()`
`protected int[]` | `sampleFromArray(int[] a, Randoms random, int minSize)` Samples a subset of elements from this array.
`protected int[][]` | `sampleSplitFromArray(int[] a, Randoms random, int minSize)` Samples a two disjoint subset of elements from this array.

Methods inherited from class cc.mallet.cluster.iterator.PairSampleIterator
`hasNext`

Methods inherited from class cc.mallet.cluster.iterator.NeighborIterator
`getClustering, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterSampleIterator

    public ClusterSampleIterator(Clustering clustering,
                                 Randoms random,
                                 double positiveProportion,
                                 int numberSamples)

Parameters:
  `clustering` - True clustering.
  `random` - Source of randomness.
  `positiveProportion` - Proportion of Instances that should be positive examples.
  `numberSamples` - Total number of samples to generate.

Method Detail

### next

    public Instance next()

  Specified by:
    `next` in interface `java.util.Iterator<Instance>`
  Overrides:
    `next` in class `PairSampleIterator`

### sampleFromArray

    protected int[] sampleFromArray(int[] a,
                                    Randoms random,
                                    int minSize)

  Samples a subset of elements from this array.

  Parameters:
    `a` -
    `random` -
  Returns:

### sampleSplitFromArray

    protected int[][] sampleSplitFromArray(int[] a,
                                           Randoms random,
                                           int minSize)

  Samples a two disjoint subset of elements from this array.

  Parameters:
    `a` -
    `random` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD